freebsd-ports/net/smokeping/pkg-install
Oliver Eikemeier affeba3053 - Update to 1.26
- Use OPTIONS for optional dependencies
- Change pkg-{,de}install to avoid risk of data loss when upgrading
- Patch files instead of regexps in Makefile

added a work around for PR 63293

PR:		63230
Submitted by:	Lars Thegler <lars@thegler.dk> (maintainer)
Reviewed by:	clement
2004-02-24 12:41:38 +00:00

52 lines
1 KiB
Bash

#! /bin/sh
#
# $FreeBSD$
#
case $2 in
PRE-INSTALL)
if ! pw groupshow %%WWW_GROUP%% 2>/dev/null 1>&2; then
if pw groupadd %%WWW_GROUP%% -g %%WWW_GID%%; then
echo 'Added group "%%WWW_GROUP%%".'
else
echo 'Adding group "%%WWW_GROUP%%" failed...'
exit 1
fi
fi
if ! pw usershow %%WWW_USER%% 2>/dev/null 1>&2; then
if pw useradd %%WWW_USER%% -u %%WWW_UID%% -g %%WWW_GROUP%% -h - \
-s /sbin/nologin -d /nonexistent \
-c "World Wide Web Owner"; \
then
echo 'Added user "%%WWW_USER%%".'
else
echo 'Adding user "%%WWW_USER%%" failed...'
exit 1
fi
fi
if ! pw groupshow %%GROUP%% 2>/dev/null 1>&2; then
if pw groupadd %%GROUP%%; then
echo 'Added group "%%GROUP%%".'
else
echo 'Adding group "%%GROUP%%" failed...'
exit 1
fi
fi
if ! pw usershow %%USER%% 2>/dev/null 1>&2; then
if pw useradd %%USER%% -g %%GROUP%% -h - \
-s /nonexistent -c "SmokePing Daemon"; \
then
echo 'Added user "%%USER%%".'
else
echo 'Adding user "%%USER%%" failed...'
exit 1
fi
fi
exit 0
;;
esac